Calling Developers!
We are reenergizing our code contribution process! Learn More

What are the Slack Archives?

It’s a history of our time together in the Slack Community! There’s a ton of knowledge in here, so feel free to search through the archives for a possible answer to your question.

Because this space is not active, you won’t be able to create a new post or comment here. If you have a question or want to start a discussion about something, head over to our categories and pick one to post in! You can always refer back to a post from Slack Archives if needed; just copy the link to use it as a reference..

Hi all, I am trying to setup existing project in spryker. During `docker/sdk up` I got following err

Options
U015THNFNCB
U015THNFNCB Posts: 9 🧑🏻‍🚀 - Cadet
edited September 2020 in Docker

Hi all,
I am trying to setup existing project in spryker.
During docker/sdk up I got following error while installing dependencies from composer:

Your requirements could not be resolved to an installable set of packages.

  Problem 1
    - The requested PHP extension ext-xsl * is missing from your system. Install or enable PHP's xsl extension. 

Any suggestion how to enable this extension inside docker ?
Thanks

Comments

  • sprymiker
    sprymiker Cloud Platform Architect Sprykee Posts: 781 🧑🏻‍🚀 - Cadet
    Options

    The only way is to prepare your own docker image base on spyker/php one, install extension here, publish somewhere (e.g. docker hub) and use tag in your deploy.yml.

    E.g.

    Dockerfile

    FROM spryker/php:7.3-alpine3.12
    
    # Install extension here
    RUN ...
    

    Build and push docker image.

    Use in your all deploy.yamls

    image:
      tag: mycompany/myimage:7.3
    
  • sprymiker
    sprymiker Cloud Platform Architect Sprykee Posts: 781 🧑🏻‍🚀 - Cadet
    Options

    Or reconsider using xsl extension. 🙂

  • U015THNFNCB
    U015THNFNCB Posts: 9 🧑🏻‍🚀 - Cadet
    Options

    I tried with Dockerfile. Added following lines but not working, it does not show even in console that is installing xsl extension

    FROM spryker/php:7.3-alpine3.12
    RUN docker-php-ext-install xsl
    
  • sprymiker
    sprymiker Cloud Platform Architect Sprykee Posts: 781 🧑🏻‍🚀 - Cadet
    Options

    What command do you use to build the image?

  • U015THNFNCB
    U015THNFNCB Posts: 9 🧑🏻‍🚀 - Cadet
    Options

    docker/sdk bootstrap deploy.dev.yml

  • sprymiker
    sprymiker Cloud Platform Architect Sprykee Posts: 781 🧑🏻‍🚀 - Cadet
    Options

    No. No. It won’t work that way.

  • U015THNFNCB
    U015THNFNCB Posts: 9 🧑🏻‍🚀 - Cadet
    Options

    I'm using this image: image: spryker/php:7.2-alpine3.10

  • sprymiker
    sprymiker Cloud Platform Architect Sprykee Posts: 781 🧑🏻‍🚀 - Cadet
    Options

    it should be

    docker build -f path-to-your-docker-file -t myphpimage path-to-folder-with-your-docker-file
    
  • sprymiker
    sprymiker Cloud Platform Architect Sprykee Posts: 781 🧑🏻‍🚀 - Cadet
    edited September 2020
    Options
  • sprymiker
    sprymiker Cloud Platform Architect Sprykee Posts: 781 🧑🏻‍🚀 - Cadet
    Options

    And then after it is public - image: mycompany/php:7.3 # your public tag

  • U015THNFNCB
    U015THNFNCB Posts: 9 🧑🏻‍🚀 - Cadet
    Options

    So the only way is to build image, install extensions, publish somewere and then use it

  • sprymiker
    sprymiker Cloud Platform Architect Sprykee Posts: 781 🧑🏻‍🚀 - Cadet
    edited September 2020
    Options

    Yes

  • U015THNFNCB
    U015THNFNCB Posts: 9 🧑🏻‍🚀 - Cadet
    Options

    Thanks 👍